# Uses of Class
org.opensaml.core.config.InitializationException

Packages that use InitializationException
Package
Description
org.opensaml.core.config
Interfaces and classes related to library configuration and initialization.
org.opensaml.core.metrics.impl
Implementation classes supporting code instrumentation.
org.opensaml.core.testing
org.opensaml.core.xml.config
Configuration of XML object providers and related functionality.
org.opensaml.core.xml.config.impl
Configuration implementation of XML object providers and related functionality.
org.opensaml.saml.config.impl
SAML configuration initializers.
org.opensaml.security.config
OpenSAML configuration classes.
org.opensaml.security.config.impl
Security configuration implementation classes.
org.opensaml.soap.config.impl
Configuration and initialization of SOAP XMLObject providers.
org.opensaml.xmlsec.config
OpenSAML configuration classes.
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.impl.provider
Provides implementation of Santuario-specific components.

## Uses of InitializationException in org.opensaml.core.config

Methods in org.opensaml.core.config that throw InitializationException
Modifier and Type
Method
Description
`void`
Initializer.`init()`
Perform the initialization process encompassed by the implementation.
`static void`
InitializationService.`initialize()`
Initialize all the registered library modules.

## Uses of InitializationException in org.opensaml.core.metrics.impl

Methods in org.opensaml.core.metrics.impl that throw InitializationException
Modifier and Type
Method
Description
`void`
MetricRegistryInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.core.testing

Methods in org.opensaml.core.testing that throw InitializationException
Modifier and Type
Method
Description
`void`
OpenSAMLInitBaseTestCase.`initOpenSAML()`
Initialize OpenSAML.
`void`
XMLObjectProviderInitializerBaseTestCase.`testProviderInit()`
Test basic provider registration.

## Uses of InitializationException in org.opensaml.core.xml.config

Methods in org.opensaml.core.xml.config that throw InitializationException
Modifier and Type
Method
Description
`void`
AbstractXMLObjectProviderInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
GlobalParserPoolInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
XMLObjectProviderInitializer.`init()`
Deprecated.
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.core.xml.config.impl

Methods in org.opensaml.core.xml.config.impl that throw InitializationException
Modifier and Type
Method
Description
`void`
XMLObjectProviderInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.saml.config.impl

Methods in org.opensaml.saml.config.impl that throw InitializationException
Modifier and Type
Method
Description
`void`
SAMLConfigurationInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.security.config

Methods in org.opensaml.security.config that throw InitializationException
Modifier and Type
Method
Description
`void`
BouncyCastleInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
GlobalNamedCurveRegistryInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.security.config.impl

Methods in org.opensaml.security.config.impl that throw InitializationException
Modifier and Type
Method
Description
`void`
ClientTLSValidationConfiguratonInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
HttpClientSecurityConfigurationInitalizer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.soap.config.impl

Methods in org.opensaml.soap.config.impl that throw InitializationException
Modifier and Type
Method
Description
`void`
SOAPConfigurationInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.xmlsec.config

Methods in org.opensaml.xmlsec.config that throw InitializationException
Modifier and Type
Method
Description
`void`
DecryptionParserPoolInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
GlobalAlgorithmRegistryInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
GlobalKeyAgreementProcessorRegistryInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that throw InitializationException
Modifier and Type
Method
Description
`void`
ApacheXMLSecurityInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
GlobalSecurityConfigurationInitializer.`init()`
Perform the initialization process encompassed by the implementation.
`void`
JavaCryptoValidationInitializer.`init()`
Perform the initialization process encompassed by the implementation.

## Uses of InitializationException in org.opensaml.xmlsec.impl.provider

Constructors in org.opensaml.xmlsec.impl.provider that throw InitializationException
Modifier
Constructor
Description
``
`ApacheSantuarioXMLParser()`
Constructor.